For the complete documentation index, see llms.txt. This page is also available as Markdown.

Users

With Couchdrop you can configure additional users. Additional users cannot manage your Couchdrop service, but are able to upload/download and view files.

Get Users

GET https://api.couchdrop.io/manage/credentials

This endpoint allows you to get configured users/credentials

Headers

Name
Type
Description

token

string

API Access Token

{
  "credentials": [
    {
      "id": "905abg1a-f206-11e8-b591-0242bc140002", 
      "permissions_mode": "r", 
      "permissions_path": "/box/michael", 
      "public_key": null, 
      "username": "michael"
    }
  ]
}

Create or Modify a User

POST https://api.couchdrop.io/manage/credentials

This method is used to modify a user. Either the username or id can be supplied. If you wish to change the username, then the id must be specified.

Headers

Name
Type
Description

token*

string

API Access Token

Request Body

Name
Type
Description

id

string

User identifier, generated by system

username*

string

Username for user

password

string

Password for user

email_address

string

Email address for user

public_key

string

RSA public key

permissions_path

string

Root/home directory

permissions_mode

string

Permissions, ie: 'rw'

permissions_delete_allowed

boolean

Allow user to delete files/folders

allowed_ips

string

IP address to allow. ie: 8.8.8.8, 1.2.3.4/24

allow_sftp_scp_rsync

boolean

Allow access via SFTP/SCP/RSYNC

allow_ftp

boolean

Allow access via traditional FTP

allow_upload_portal

boolean

Allow upload via drop.couchdrop.io

allow_admin

boolean

Allow admin access to Couchdrop

allow_webportal

boolean

Allow access via Couchdrop web UI

groups

String

An array of group ips for group memebership

Invite a user to Couchdrop

POST https://api.couchdrop.io/manage/users/invite

This method creates a new user and sends a invitiation email.

Headers

Name
Type
Description

token*

String

API Access Toke

Request Body

Name
Type
Description

email_address

String

Email address of the new user

Trigger a password reset email

POST https://api.couchdrop.io/manage/users/<username>/resetpassword

Trigger and send a password reset email to a user

Headers

Name
Type
Description

token*

String

API authentication key

Delete A User

DELETE https://api.couchdrop.io/manage/credentials/<username>/delete

Path Parameters

Name
Type
Description

username

string

User to be deleted

Headers

Name
Type
Description

token

string

API Access Token

Last updated